/**
 * Le "systeme" a interfacer.
 * 
 * @author B.Carre at Polytech Lille
 * 
 */


public class Convertisseur {

    static double NOEUD2KMH = 1.852; // 1 nd (mile marin/h) = 1.852 km/h
    protected double vent; // variable d'etat: vitesse normalisee en km/h

    // setters
    public void setKMH(double v) {
        vent = v;
    }

    public void setNoeuds(double n) {
        vent = n * NOEUD2KMH;
    }

    public void raz() {
        vent = 0.0;
    }

    // getters
    public double getKMH() {
        return vent;
    }

    public double getNoeuds() {
        return vent / NOEUD2KMH;
    }

    public int getForce() { // echelle de Beaufort, echelle de 0 a 12
        if (vent <= 1) {
            return 0;
        } else if (vent <= 5) {
            return 1;
        } else if (vent <= 11) {
            return 2;
        } else if (vent <= 19) {
            return 3;
        } else if (vent <= 28) {
            return 4;
        } else if (vent <= 38) {
            return 5;
        } else if (vent <= 49) {
            return 6;
        } else if (vent <= 61) {
            return 7;
        } else if (vent <= 74) {
            return 8;
        } else if (vent <= 88) {
            return 9;
        } else if (vent <= 102) {
            return 10;
        } else if (vent <= 117) {
            return 11;
        } else {
            return 12;
        }
    }
}
